-- A simple view of the store.lua key/values
-- (Another "Artful" integration)

store = require 'store'
store.view = require 'store.view'

function main(Data)
   
   -- get the request
   local req = net.http.parseRequest{data=Data}
   local url = store.view.fixURL(req.location)
   
   
   -- delete entries if requested
   if req.params.delete then
      store.delete(req.params.delete)
      store.view.reload(url)
      return
   end
   
   -- add entries if requested
   if req.params.add then 
      store.view.add(req.params.new_key, req.params.new_value)
      store.view.reload(url)
      return
   end
   
   -- udpdate entries if requested
   if req.params.update then 
      store.view.update(req.params.name, req.params.value)
   end
   
   -- render the table of entries
   store.view.render(url)
   
   return
   
end